// ---------- Attention: Generated code, please do not modify! -----------  

/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.myfaces.tobago.internal.taglib;

import javax.faces.application.Application;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import org.apache.myfaces.tobago.component.UISplitLayout;
import org.apache.myfaces.tobago.internal.util.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/** 
 * JSP Tag class, generated from template {@code tag1.2.stg} with class 
 * {@link org.apache.myfaces.tobago.internal.taglib.component.SplitLayoutTagDeclaration}.
 */
public final class SplitLayoutTag extends TobagoELTag {
  private static final Logger LOG = LoggerFactory.getLogger(SplitLayoutTag.class);
  private javax.el.ValueExpression  border;
  private javax.el.ValueExpression  columnSpacing;
  private javax.el.ValueExpression  margin;
  private javax.el.ValueExpression  orientation;
  private javax.el.ValueExpression  markup;
  private javax.el.ValueExpression  marginLeft;
  private javax.el.ValueExpression  marginRight;
  private javax.el.ValueExpression  layout;
  private javax.el.ValueExpression  cellspacing;
  private javax.el.ValueExpression  marginBottom;
  private javax.el.ValueExpression  rowSpacing;
  private javax.el.ValueExpression  rigid;
  private javax.el.ValueExpression  marginTop;

  @Override
  public String getComponentType() {
    return UISplitLayout.COMPONENT_TYPE;
  }
  @Override
  public String getRendererType() {
    return "SplitLayout";
  }

  @Override
  protected void setProperties(final UIComponent uiComponent) {
    super.setProperties(uiComponent);
    final UISplitLayout component = (UISplitLayout) uiComponent;
    final FacesContext context = FacesContext.getCurrentInstance();
    final Application application = context.getApplication();
    if (border != null) {
      component.setValueExpression("border", border);
    }

    if (columnSpacing != null) {
      if (!columnSpacing.isLiteralText()) {
        component.setValueExpression("columnSpacing", columnSpacing);
      } else {
        component.setColumnSpacing(org.apache.myfaces.tobago.layout.Measure.valueOf(columnSpacing.getExpressionString()));
      }
    }
    if (margin != null) {
      if (!margin.isLiteralText()) {
        component.setValueExpression("margin", margin);
      } else {
        component.setMargin(org.apache.myfaces.tobago.layout.Measure.valueOf(margin.getExpressionString()));
      }
    }
    if (orientation != null) {
      component.setValueExpression("orientation", orientation);
    }

    if (markup != null) {
      if (!markup.isLiteralText()) {
        component.setValueExpression("markup", markup);
      } else {
        component.setMarkup(org.apache.myfaces.tobago.context.Markup.valueOf(markup.getExpressionString()));
      }
    }
    if (marginLeft != null) {
      if (!marginLeft.isLiteralText()) {
        component.setValueExpression("marginLeft", marginLeft);
      } else {
        component.setMarginLeft(org.apache.myfaces.tobago.layout.Measure.valueOf(marginLeft.getExpressionString()));
      }
    }
    if (marginRight != null) {
      if (!marginRight.isLiteralText()) {
        component.setValueExpression("marginRight", marginRight);
      } else {
        component.setMarginRight(org.apache.myfaces.tobago.layout.Measure.valueOf(marginRight.getExpressionString()));
      }
    }
    if (layout != null) {
      component.setValueExpression("layout", layout);
    }

    if (cellspacing != null) {
      if (!cellspacing.isLiteralText()) {
        component.setValueExpression("cellspacing", cellspacing);
      } else {
        component.setCellspacing(org.apache.myfaces.tobago.layout.Measure.valueOf(cellspacing.getExpressionString()));
      }
    }
    if (marginBottom != null) {
      if (!marginBottom.isLiteralText()) {
        component.setValueExpression("marginBottom", marginBottom);
      } else {
        component.setMarginBottom(org.apache.myfaces.tobago.layout.Measure.valueOf(marginBottom.getExpressionString()));
      }
    }
    if (rowSpacing != null) {
      if (!rowSpacing.isLiteralText()) {
        component.setValueExpression("rowSpacing", rowSpacing);
      } else {
        component.setRowSpacing(org.apache.myfaces.tobago.layout.Measure.valueOf(rowSpacing.getExpressionString()));
      }
    }
    if (rigid != null) {
      if (!rigid.isLiteralText()) {
        component.setValueExpression("rigid", rigid);
      } else {
        component.setRigid(Boolean.parseBoolean(rigid.getExpressionString()));
      }
    }
    if (marginTop != null) {
      if (!marginTop.isLiteralText()) {
        component.setValueExpression("marginTop", marginTop);
      } else {
        component.setMarginTop(org.apache.myfaces.tobago.layout.Measure.valueOf(marginTop.getExpressionString()));
      }
    }
  }

  public javax.el.ValueExpression getBorder() {
    return border;
  }

  public void setBorder(final javax.el.ValueExpression border) {
    this.border = border;
  }

  public javax.el.ValueExpression getColumnSpacing() {
    return columnSpacing;
  }

  public void setColumnSpacing(final javax.el.ValueExpression columnSpacing) {
    this.columnSpacing = columnSpacing;
  }

  public javax.el.ValueExpression getMargin() {
    return margin;
  }

  public void setMargin(final javax.el.ValueExpression margin) {
    this.margin = margin;
  }

  public javax.el.ValueExpression getOrientation() {
    return orientation;
  }

  public void setOrientation(final javax.el.ValueExpression orientation) {
    this.orientation = orientation;
  }

  public javax.el.ValueExpression getMarkup() {
    return markup;
  }

  public void setMarkup(final javax.el.ValueExpression markup) {
    this.markup = markup;
  }

  public javax.el.ValueExpression getMarginLeft() {
    return marginLeft;
  }

  public void setMarginLeft(final javax.el.ValueExpression marginLeft) {
    this.marginLeft = marginLeft;
  }

  public javax.el.ValueExpression getMarginRight() {
    return marginRight;
  }

  public void setMarginRight(final javax.el.ValueExpression marginRight) {
    this.marginRight = marginRight;
  }

  public javax.el.ValueExpression getLayout() {
    return layout;
  }

  public void setLayout(final javax.el.ValueExpression layout) {
    this.layout = layout;
  }

  public javax.el.ValueExpression getCellspacing() {
    return cellspacing;
  }

  public void setCellspacing(final javax.el.ValueExpression cellspacing) {
    this.cellspacing = cellspacing;
  }

  public javax.el.ValueExpression getMarginBottom() {
    return marginBottom;
  }

  public void setMarginBottom(final javax.el.ValueExpression marginBottom) {
    this.marginBottom = marginBottom;
  }

  public javax.el.ValueExpression getRowSpacing() {
    return rowSpacing;
  }

  public void setRowSpacing(final javax.el.ValueExpression rowSpacing) {
    this.rowSpacing = rowSpacing;
  }

  public javax.el.ValueExpression getRigid() {
    return rigid;
  }

  public void setRigid(final javax.el.ValueExpression rigid) {
    this.rigid = rigid;
  }

  public javax.el.ValueExpression getMarginTop() {
    return marginTop;
  }

  public void setMarginTop(final javax.el.ValueExpression marginTop) {
    this.marginTop = marginTop;
  }



  @Override
  public void release() {
    super.release();
    border = null;
    columnSpacing = null;
    margin = null;
    orientation = null;
    markup = null;
    marginLeft = null;
    marginRight = null;
    layout = null;
    cellspacing = null;
    marginBottom = null;
    rowSpacing = null;
    rigid = null;
    marginTop = null;
  }
}